class Logger {
    constructor() {

    }

    log(content) {
        console.log(this._prefix("log"), content);
    }

    warn(content) {
        console.warn(this._prefix("warn"), content);
    }

    error(content) {
        console.error(this._prefix("err"), content);
    }

    _prefix(type) {
        let typeStr = "";
        switch (type) {
            case "log":
                typeStr = "LOG"
                break;
            case "warn":
                typeStr = "WARN"
                break;
            case "err":
                typeStr = "ERR"
                break;
            default:
                break;
        }
        return `[${typeStr}: ${this._timestamp()}]`;
    }

    _timestamp() {
        return new Date().toLocaleString();
    }
}

const logger = new Logger();

module.exports = {
    logger,
}